<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://xmlns.jcp.org/jsf/passthrough">

		
		<h:head>
			<title>Connexion</title>
		</h:head>
	
		
	
		<h:body>
		
		
			<h:form>
			<h:panelGrid columns="3" cellpadding="5">
			
				<h:outputLabel value="Email :"  for="email"/>
				<h:inputText id="email" value="#{loginBean.email}" 
							required="true" p:required="true"
							requiredMessage="Mot de passe obligatoire"
							validatorMessage="Vous devez saisir un email">
                	<f:validateRegex pattern="^[\w.+-]+@[\w.+-]+\.[a-z]{2,}$"/>
                	</h:inputText>
                	 <h:message for="email" styleClass="errorBlock"/>
				
			
			
				<h:outputLabel value="Password :" for="password"/>
				<h:inputSecret id="password" value="#{loginBean.password}" 
							required="true" p:required="true"
							requiredMessage="Mot de passe obligatoire"
                						validatorMessage="Votre mot de passe doit contenir entre 3 à 12 caractères">
                	<f:validateLength minimum="2" maximum="12" />
                </h:inputSecret>
                <h:message for="password" styleClass="errorBlock"/>
				
			
				<h:commandButton action="#{loginBean.connexion}" value="Connexion" />
				
				</h:panelGrid>
			</h:form>
		
		
		
		
		
		</h:body>
		
	
	
	
</html>